Node Test 


1. We can see all the category in first page
2. when clicking show category we can see all the sub category and product under selected category

3. if we renamed the category name in db, still we can see all products with the selected category
4. screenshorts are provided
